{
  "schema_version": "1.4.0",
  "id": "GHSA-qmxm-339w-x3r6",
  "modified": "2025-04-12T12:42:44Z",
  "published": "2022-05-17T03:11:06Z",
  "aliases": [
    "CVE-2014-8094"
  ],
  "details": "Integer overflow in the ProcDRI2GetBuffers function in the DRI2 extension in X.Org Server (aka xserver and xorg-server) 1.7.0 through 1.16.x before 1.16.3 allows remote authenticated users to cause a denial of service (crash) or possibly execute arbitrary code via a crafted request, which triggers an out-of-bounds read or write.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2014-8094"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2014:1983"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/cve/CVE-2014-8094"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=1168691"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201504-06"
    },
    {
      "type": "WEB",
      "url": "http://advisories.mageia.org/MGASA-2014-0532.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/61947"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/62292"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2014/dsa-3095"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2015:119"
    },
    {
      "type": "WEB",
      "url": "http://www.oracle.com/technetwork/topics/security/bulletinjan2015-2370101.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/71601"
    },
    {
      "type": "WEB",
      "url": "http://www.x.org/wiki/Development/Security/Advisory-2014-12-09"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2014-12-10T15:59:00Z"
  }
}